HYPRWAYLAND-SCANNER(1)

NAME
hyprwayland-scanner - generate C++ Wayland protocol bindings

SYNOPSIS
hyprwayland-scanner [OPTIONS] PROTOCOL_XML OUTPUT_DIRECTORY

DESCRIPTION
hyprwayland-scanner generates C++ bindings for Wayland protocols, for either servers or clients.

By default, hyprwayland-scanner generates server-side code. Generated files are written to the specified output directory.

A compiler with C++23 support as well as pugixml are required.

ARGUMENTS

PROTOCOL_XML
    Path to the Wayland protocol XML file.

OUTPUT_DIRECTORY
    Path to the directory where generated files will be written.

OPTIONS

-c, --client
    Generate client-side code instead of server-side code.

--wayland-enums
    Use Wayland-style enum naming.

--no-interfaces
    Do not generate wl_interface and related interface metadata.

-v, --version
    Print the program version and exit.

OUTPUT
The program writes generated C++ source files to OUTPUT_DIRECTORY. Typically this includes a header file and a source file derived from the input XML filename.

EXAMPLES
Generate server-side bindings:

hyprwayland-scanner /path/to/protocol.xml ./generated

Generate client-side bindings:

hyprwayland-scanner --client /path/to/protocol.xml ./generated

Generate client-side bindings with Wayland enum naming:

hyprwayland-scanner --client --wayland-enums /path/to/protocol.xml ./generated

AUTHOR
This manual page is maintained for Debian by the Debian Hyprland maintainers, based on the upstream code and README.